DOCUMENTS := build/midterm_presentation.pdf build/thesis.pdf
# DOCUMENTS := build/thesis.pdf

.PHONY: all
all: $(DOCUMENTS)

build/%.pdf: src/%/main.tex build/prepared
	TEXINPUTS=./lib/cel-slides-template-2025:$(dir $<):$$TEXINPUTS \
	latexmk -outdir=build/$* $<
	mv build/thesis/main.pdf $@

build/prepared:
	mkdir -p build
	touch build/prepared

.PHONY: clean
clean:
	rm -rf build
